Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.realmadapter
Interface RealmAdapterAuthenticatorMBean

public interface RealmAdapterAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, IdentityAsserterMBean

The MBean for the Realm Adapter Authentication provider. The Realm Adapter Authentication provider contains an Identity Asserter provider which accepts only x509 tokens.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the Realm Adapter Authentication provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class that loads the Realm Adapter Authentication provider.
`java.lang.String[]` | `getSupportedTypes()` Lists the type of tokens supported by the Identity Asserter in the Realm Adapter Authentication provider.
`java.lang.String` | `getVersion()` The version number of the Realm Adapter Authentication provider.

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.security.authentication.IdentityAsserterMBean
`getActiveTypes, getBase64DecodingRequired, setActiveTypes, setBase64DecodingRequired`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class that loads the Realm Adapter Authentication provider.

  Default Value: "weblogic.security.providers.realmadapter.AuthenticationProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the Realm Adapter Authentication provider.

  Default Value: "Realm Adapter for Authentication and Identity Assertion"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version number of the Realm Adapter Authentication provider.

  Default Value: "1.0"
  Legal NULL: true

### getSupportedTypes

    public java.lang.String[] getSupportedTypes()

  Lists the type of tokens supported by the Identity Asserter in the Realm Adapter Authentication provider. The Identity Asserter supports only X.509 tokens for backward compatibility for implementations of the `weblogic.security.acl.CertAuthenticator` class.
  Specified by:
    getSupportedTypes in interface IdentityAsserterMBean

  Default Value: new String[] { weblogic.security.spi.IdentityAsserter.X509_TYPE, weblogic.security.spi.IdentityAsserter.AU_TYPE }
  Legal NULL: true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD